Skip to main content
GET
/
auth
/
google
Google OAuth
curl --request GET \
  --url https://api.veryfront.com/auth/google \
  --header 'Authorization: Bearer <token>'
{
  "error": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Query Parameters

redirect_uri
string

URL to redirect after authentication (OAuth 2.0 standard)

code
string

OAuth authorization code

state
string

CSRF state token

error
string

OAuth error code (e.g., access_denied when user cancels)

error_description
string

Human-readable error description

iss
string

Google issuer metadata returned on OAuth callbacks

scope
string

Google granted scopes metadata returned on OAuth callbacks

authuser
string

Google account index metadata returned on OAuth callbacks

hd
string

Google Workspace hosted-domain metadata returned on OAuth callbacks

prompt
string

Google prompt metadata returned on OAuth callbacks

Response

Redirect to Google or application